## Описание модулей

Этот набор модулей предоставляет реализации различных алгоритмов для вычисления собственных значений и собственных векторов матриц.

### Модули

* **`jacobi`**: Реализует метод Якоби для вычисления собственных значений и векторов симметричных матриц.  Включает базовую, Numba-оптимизированную и параллельную реализации.
* **`qr`**: Содержит реализацию QR-алгоритма (базового и со сдвигами) для вычисления собственных значений матриц.  Использует Numba для повышения производительности.
* **`vectors_from_values`**: Предоставляет функции для вычисления собственных векторов матрицы по заданным собственным значениям с использованием метода обратных итераций с частным Рэлея.  Также включает функцию для построения ортонормированного базиса из собственных векторов с применением процесса Грама-Шмидта.

Каждый модуль содержит подробное описание алгоритмов, параметров функций, примеров использования и теоретическую справку.
